Skip to main content
GET
/
public
/
v1
/
projects
/
{projectId}
/
sources
List sources for a project
curl --request GET \
  --url https://your-synthbrew-server.com/api/public/v1/projects/{projectId}/sources \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "schemaVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "config": {},
    "kind": "postgres",
    "seed": "<string>",
    "generatorConfig": {},
    "rateLimitRpm": 123,
    "requireAuth": true,
    "lastGenerationAt": "2023-11-07T05:31:56Z",
    "generationAudit": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

x-api-key
string
header
required

Team API key created under /api/api-keys. Prefix: sb_api_.

Path Parameters

projectId
string<uuid>
required

Project UUID in the team associated with the API key.

Response

Source list

id
string<uuid>
slug
string
name
string
description
string | null
schemaVersionId
string<uuid>
config
object

Source configuration. For Supabase runtime targets, responses include runtimeTarget.connectionSecretId and never return plaintext runtimeTarget.connectionString.

kind
enum<string>
Available options:
postgres,
mysql
seed
string | null
generatorConfig
object
rateLimitRpm
integer
requireAuth
boolean
lastGenerationAt
string<date-time> | null
generationAudit
object
createdAt
string<date-time>
updatedAt
string<date-time> | null